<template>


  <div>
    <b-card style="margin: 10px">
      <h6 slot="header" class="mb-0" style="font-weight: bold">Upcoming Competitions</h6>
      <div v-for="competition in competitions" :key="competition.getDeadline()">
        <competition-summary-panel  :competition="competition"/>
      </div>
    </b-card>
  </div>
</template>

<script>
import backend from '@/backend-manager'
import CompetitionSummaryPanel from '@/components/CompetitionSummaryPanel'

export default {
    created: async function () {
        this.competitions = await backend.getInstance().getUpcomingCompetitionList()
    },

    components: {
        CompetitionSummaryPanel: CompetitionSummaryPanel
    },

    data: function () {
        return {
            competitions: []
        }
    }

    
}
</script>
